# Interface ForLoopTree

All Superinterfaces:
  `StatementTree, Tree`

public interface ForLoopTree extends StatementTree
A tree node for a basic `for` loop statement. For example:

      for ( initializer ; condition ; update )
          statement

See Java Language Specification:
  14.14.1 The basic for Statement
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getCondition()`
Returns the condition of the `for` statement.
`List<? extends StatementTree>`
`getInitializer()`
Returns any initializers of the `for` statement.
`StatementTree`
`getStatement()`
Returns the body of the `for` statement.
`List<? extends ExpressionStatementTree>`
`getUpdate()`
Returns any update expressions of the `for` statement.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getInitializer

List<? extends StatementTree> getInitializer()
Returns any initializers of the `for` statement. The result will be an empty list if there are no initializers

Returns:
  the initializers

### getCondition

ExpressionTree getCondition()
Returns the condition of the `for` statement. May be `null` if there is no condition.

Returns:
  the condition

### getUpdate

List<? extends ExpressionStatementTree> getUpdate()
Returns any update expressions of the `for` statement.

Returns:
  the update expressions

### getStatement

StatementTree getStatement()
Returns the body of the `for` statement.

Returns:
  the body